Bug 37106 - Maintainer update: astro/seti_applet (libgtop fix)
Summary: Maintainer update: astro/seti_applet (libgtop fix)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-15 19:40 UTC by Cyrille Lefevre
Modified: 2002-05-11 02:31 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (543 bytes, patch)
2002-04-15 19:40 UTC, Cyrille Lefevre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cyrille Lefevre 2002-04-15 19:40:01 UTC
	libgtop heaaders have moved. IMHO, libgtop maintainters would have
	to indicate this to port maintainers which depend on it.

	Makefile
		CONFIGURE_ENV updated

How-To-Repeat: 	http://bento.freebsd.org/errorlogs/4-full/seti_applet-0.4.1.log
Comment 1 Giorgos Keramidas freebsd_committer 2002-04-23 00:03:37 UTC
Adding to audit trail:
| Date: Mon, 15 Apr 2002 22:00:40 +0300
| From: Maxim Sobolev <sobomax@FreeBSD.org>
| To: Cyrille Lefevre <cyrille.lefevre@laposte.net>
| Cc: Franz Klammer <klammer@webonaut.com>, gnome@FreeBSD.ORG
|
| Cyrille Lefevre wrote:
| >
| > >Description:
| >         libgtop heaaders have moved. IMHO, libgtop maintainters would have
| >         to indicate this to port maintainers which depend on it.
|
| This is wrong, because only non-compliant software which doesn't
| respect output of `gnome-config --cflags libgtop' (the standard way
| for locating includes in GNOME land) was affected by the change. GNOME
| team couldn't be responsible a third-party non-compliant software.
|
| -Maxim
Comment 2 HIYAMA Takeshi 2002-05-06 17:59:47 UTC
May be this is better.

--- configure.orig      Tue May  7 01:55:09 2002
+++ configure   Tue May  7 01:55:26 2002
@@ -4543,7 +4543,7 @@
        < $srcdir/po/POTFILES.in > po/POTFILES


-CFLAGS="$CFLAGS `$GNOME_CONFIG --cflags gnome gtk glib applets`"
+CFLAGS="$CFLAGS `$GNOME_CONFIG --cflags gnome gtk glib applets libgtop`"
 LDFLAGS="$LDFLAGS `$GNOME_CONFIG --libs gnome gtk glib applets`"


-- 
HIYAMA Takeshi
Hitachi Naka Electronics Co., Ld.
Comment 3 Cyrille Lefevre 2002-05-07 06:33:02 UTC
HIYAMA Takeshi wrote:

> May be this is better.

[snip]

adopted and thanks for your advice.

Cyrille.
-- 
Cyrille Lefevre                 mailto:cyrille.lefevre@laposte.net
Comment 4 sada freebsd_committer 2002-05-11 02:30:19 UTC
State Changed
From-To: open->closed

Added HIYAMA-san's diff as files/patch-ab. Thanks!